org.apache.ignite.ml.util.generators.primitives.scalar

## Class UniformRandomProducer

- java.lang.Object
- - org.apache.ignite.ml.util.generators.primitives.scalar.UniformRandomProducer

- All Implemented Interfaces:
    Supplier<Double>, RandomProducer

      public class UniformRandomProducer
      extends Object

  Pseudo-random producer generating values from uniform continuous distribution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniformRandomProducer(double from, double to)` Creates an instance of UniformRandomProducer.
    `UniformRandomProducer(double from, double to, long seed)` Creates an instance of UniformRandomProducer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Random` | `generator()`
    `Double` | `get()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.primitives.scalar.RandomProducer

      `noizify, noizify, vectorize, vectorize`

- - ### Constructor Detail

    - #### UniformRandomProducer

          public UniformRandomProducer(double from,
                                       double to)

      Creates an instance of UniformRandomProducer.
      Parameters:
        `from` - Generate values from this value.
        `to` - Generate values to this value.

    - #### UniformRandomProducer

          public UniformRandomProducer(double from,
                                       double to,
                                       long seed)

      Creates an instance of UniformRandomProducer.
      Parameters:
        `from` - Generate values from this value.
        `to` - Generate values to this value.
        `seed` - Seed.

  - ### Method Detail

    - #### get

          public Double get()

    - #### generator

          protected Random generator()

      Returns:
        Java pseudo-random values generator.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023